---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2025-10-29T11:53:23Z"
  generation: 1
  labels:
    app.kubernetes.io/component: network
    app.kubernetes.io/managed-by: cnao-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.11
    networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
    openshift.io/cluster-monitoring: ""
    prometheus.cnao.io: "true"
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:networkaddonsoperator.network.kubevirt.io/version: {}
          f:openshift.io/cluster-monitoring: {}
          f:prometheus.cnao.io: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"e030585c-d3f1-455b-9c2a-ca3282d18255"}: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector: {}
    manager: cluster-network-addons-operator
    operation: Update
    time: "2025-10-29T11:53:23Z"
  name: service-monitor-cluster-network-addons-operator
  namespace: openshift-cnv
  ownerReferences:
  - apiVersion: networkaddonsoperator.network.kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: NetworkAddonsConfig
    name: cluster
    uid: e030585c-d3f1-455b-9c2a-ca3282d18255
  resourceVersion: "2144603"
  uid: b0b7515d-f549-45b9-9c1b-a35391460813
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    port: metrics
    scheme: https
    tlsConfig:
      insecureSkipVerify: true
  namespaceSelector:
    matchNames:
    - openshift-cnv
  selector:
    matchLabels:
      prometheus.cnao.io: "true"
